### Method

# ICalGLib Time as_timet_with_zone

since: 1.0

#### Declaration [src]

    time_t
    i_cal_time_as_timet_with_zone (
      const ICalTime* tt,
      const ICalTimezone* zone
    )

#### Description [src]

Returns the time as seconds past the UNIX epoch, using timezones.

Available since: 1.0

#### Parameters

`zone`

  Type: `ICalTimezone`

  The timezone.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `time_t`

The time as seconds past the UNIX epoch.